ReconciliationService (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server.service

## Class ReconciliationService

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.server.service.ReconciliationService

-     public class ReconciliationService
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReconciliationService(String scope, org.gcube.application.framework.core.session.ASLSession session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeConnection()`
    `void` | `deleteResourceById(String resourceId)`
    `List<org.gcube.data.harmonization.occurrence.impl.model.statistical.StatisticalFeature>` | `getCapabilities()`
    `List<org.gcube.data.harmonization.occurrence.impl.model.Resource>` | `getDataList()`
    `String` | `getJSONImported(org.gcube.data.harmonization.occurrence.impl.model.PagedRequestSettings pagedRequestSettings)`
    `File` | `getResourceAsFile(String resourceId, org.gcube.data.harmonization.occurrence.impl.model.types.OperationType operationType)`
    `List<org.gcube.data.harmonization.occurrence.impl.model.Computation>` | `getSubmittedOperationList()`
    `String` | `getUrlFromTableId(String tableId)`
    `org.gcube.data.harmonization.occurrence.OccurrenceStreamer` | `importOccurrences(File csvFile, org.gcube.data.harmonization.occurrence.impl.readers.ParserConfiguration parserConfiguration, String fileName, String fileDescription)`
    `List<String>` | `openTableInspectionById(String id)`
    `void` | `submitOperation(org.gcube.data.harmonization.occurrence.impl.model.statistical.StatisticalComputation stat, Map<String,String> map, String name, String description)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### ReconciliationService

          public ReconciliationService(String scope,
                               org.gcube.application.framework.core.session.ASLSession session)
                                throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### getDataList

          public List<org.gcube.data.harmonization.occurrence.impl.model.Resource> getDataList()
                                                                                        throws Exception

      Returns:
      Throws:
        `Exception`

    - #### getCapabilities

          public List<org.gcube.data.harmonization.occurrence.impl.model.statistical.StatisticalFeature> getCapabilities()
                                                                                                                  throws Exception

      Returns:
      Throws:
        `Exception`

    - #### closeConnection

          public void closeConnection()
                               throws Exception

      Throws:
        `Exception`

    - #### getSubmittedOperationList

          public List<org.gcube.data.harmonization.occurrence.impl.model.Computation> getSubmittedOperationList()
                                                                                                         throws Exception

      Returns:
      Throws:
        `Exception`

    - #### submitOperation

          public void submitOperation(org.gcube.data.harmonization.occurrence.impl.model.statistical.StatisticalComputation stat,
                             Map<String,String> map,
                             String name,
                             String description)
                               throws Exception

      Parameters:
        `stat` -
        `map` -
        `name` -
        `description` -
      Throws:
        `Exception`

    - #### openTableInspectionById

          public List<String> openTableInspectionById(String id)
                                               throws Exception

      Parameters:
        `id` -
      Returns:
        list Field
      Throws:
        `Exception`

    - #### getJSONImported

          public String getJSONImported(org.gcube.data.harmonization.occurrence.impl.model.PagedRequestSettings pagedRequestSettings)
                                 throws Exception

      Parameters:
        `pagedRequestSettings` -
      Returns:
      Throws:
        `Exception`

    - #### getUrlFromTableId

          public String getUrlFromTableId(String tableId)
                                   throws Exception

      Throws:
        `Exception`

    - #### importOccurrences

          public org.gcube.data.harmonization.occurrence.OccurrenceStreamer importOccurrences(File csvFile,
                                                                                     org.gcube.data.harmonization.occurrence.impl.readers.ParserConfiguration parserConfiguration,
                                                                                     String fileName,
                                                                                     String fileDescription)
                                                                                       throws Exception

      Parameters:
        `csvFile` -
        `parserConfiguration` -
        `fileName` -
        `fileDescription` -
      Returns:
      Throws:
        `Exception`

    - #### getResourceAsFile

          public File getResourceAsFile(String resourceId,
                               org.gcube.data.harmonization.occurrence.impl.model.types.OperationType operationType)
                                 throws Exception

      Parameters:
        `resourceId` -
        `operationType` -
      Returns:
      Throws:
        `Exception`

    - #### deleteResourceById

          public void deleteResourceById(String resourceId)
                                  throws Exception

      Parameters:
        `resourceId` -
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.